Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.ft
Class FTContainsSIndex

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.ft.FTContains
                  org.basex.query.ft.FTContainsSIndex

    public final class FTContainsSIndex

extends FTContains

Sequential FTContains expression with index access.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.ft.FTContains
`expr, ft, ftexpr`

Constructor Summary
`FTContainsSIndex(Expr e, FTExpr fte, boolean v)` Constructor.

Method Summary
`Bln` | `atomic(QueryContext ctx)` Evaluates the expression and returns the resulting item or a null reference.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.ft.FTContains
`color, comp, indexAccessible, indexEquivalent, plan, remove, returned, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, iter, removable, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTContainsSIndex

    public FTContainsSIndex(Expr e,
                            FTExpr fte,
                            boolean v)

  Constructor.

  Parameters:
    `e` - contains, select and optional ignore expression
    `fte` - fulltext expression
    `v` - visualize ft results

Method Detail

### atomic

    public Bln atomic(QueryContext ctx)
               throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression and returns the resulting item or a null reference. If this method is not overwritten, `Expr.iter(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `atomic` in class `FTContains`
  Parameters:
    `ctx` - query context
  Returns:
    iterator
  Throws:
    `QueryException` - query exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FTContains`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD